﻿using Microsoft.Win32;
using Syncfusion.ExcelChartToImageConverter;
using Syncfusion.UI.Xaml.Charts;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XLSIO_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        IWorkbook book;
        IApplication application;
        OpenFileDialog openFileDialog1 = new OpenFileDialog();
       
        public MainWindow()
        {
            InitializeComponent();
            this.textBox1.Text = "ExcelTopdfwithChart.xlsx";
            this.textBox1.Tag = @"Data/ExcelTopdfwithChart.xlsx";
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            openFileDialog1.FileName = "";
            openFileDialog1.Filter = "Excel|*.xls;*.xlsx";
            if (openFileDialog1.ShowDialog().Value)
            {
                this.textBox1.Text = openFileDialog1.SafeFileName;
                this.textBox1.Tag = openFileDialog1.FileName;
            }
            
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            if (grid.Children.Count > 0)
                grid.Children.Clear();

            if (openFileDialog1.FileName == string.Empty)
            {
                string filename = System.IO.Path.GetFullPath(@"Data/ExcelTopdfwithChart.xlsx");
                System.Diagnostics.Process.Start(filename);
                this.textBox1.Tag = filename;
            }
            else
            {
                System.Diagnostics.Process.Start((string)(openFileDialog1.FileName));
                this.textBox1.Tag = openFileDialog1.FileName;
            }


        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {


            ExcelEngine engine = new ExcelEngine();
            application = engine.Excel;
            book = application.Workbooks.Open((string)(textBox1.Tag));
            book.Save();
            application.ChartToImageConverter = new ChartToImageConverter();
            application.ChartToImageConverter.ScalingMode = ScalingMode.Best;

            IWorksheet sheet = book.Worksheets[0];
            IChart chart = sheet.Charts[0];

            //Converting Excel chart to SfChart 
            SfChart sfChart = (application.ChartToImageConverter as ChartToImageConverter).GetChart(chart);


            grid.Children.Add(sfChart);

            book.Close();

           
        }
        
    }
}
